Contents
Index 🔎︎

# SetAttr Statement

Sets the attribute information for a specified file.

## Syntax:

    SetAttr FileName As String, Attribute As Integer

## پارامېتىر

FileName: Name of the file, including the path, that you want to test attributes of. If you do not enter a path, SetAttr searches for the file in the current directory. You can also use URL notation.

Attribute: Bit pattern defining the attributes that you want to set or to clear:

Value

Named constant | Value | Definition
ATTR_NORMAL | 0 | Normal files.
ATTR_READONLY | 1 | Read-only files.
ATTR_HIDDEN | 2 | Hidden file

You can set multiple attributes by combining the respective values with a logic OR statement.

## Error codes:

D'oh! You found a bug (text/sbasic/shared/00000003.xhp#err5 not found).

D'oh! You found a bug (text/sbasic/shared/00000003.xhp#err53 not found).

D'oh! You found a bug (text/sbasic/shared/00000003.xhp#err70 not found).

## مىسال:

    Sub ExampleSetGetAttr
     On Error GoTo ErrorHandler ' Define target for error handler
     If Dir("C:\test",16)="" Then MkDir "C:\test"
     If Dir("C:\test\autoexec.sav")="" Then FileCopy "c:\autoexec.bat", "c:\test\autoexec.sav"
     SetAttr "c:\test\autoexec.sav" ,0
     FileCopy "c:\autoexec.bat", "c:\test\autoexec.sav"
     SetAttr "c:\test\autoexec.sav" , ATTR_READONLY
     Print GetAttr( "c:\test\autoexec.sav" )
     End
    ErrorHandler:
     Print Error
     End
    End Sub